
function love.load()


love.graphics.setBackgroundColor(104,136,248)
love.graphics.setMode(650,650,false,true,0)
love.physics.setMeter(64)
world = love.physics.newWorld(0,--[[9.81*64]]0,true)


wall = {}

wall.ground = {}

wall.ground.body = love.physics.newBody(world,650/2, 650-40/2, 'static')
wall.ground.shape = love.physics.newRectangleShape(650,50)
wall.ground.fixture = love.physics.newFixture(wall.ground.body,wall.ground.shape)

wall.roof = {}

wall.roof.body = love.physics.newBody(world,0,0,'static')
wall.roof.shape = love.physics.newRectangleShape(1300,4)
wall.roof.fixture = love.physics.newFixture(wall.roof.body,wall.roof.shape)

wall.left = {}

wall.left.body = love.physics.newBody (world,0,0,'static')
wall.left.shape = love.physics.newRectangleShape(0,0,4,1300)
wall.left.fixture=love.physics.newFixture (wall.left.body, wall.left.shape)

wall.right = {}

wall.right.body = love.physics.newBody (world,650,0,'static')
wall.right.shape = love.physics.newRectangleShape(0,0,4,1300)
wall.right.fixture = love.physics.newFixture (wall.right.body, wall.right.shape)

objects = {}

objects.onepointone = {}

objects.onepointone.body = love.physics.newBody (world,160,215,'static')
objects.onepointone.shape = love.physics.newRectangleShape(106,3)
objects.onepointone.fixture = love.physics.newFixture(objects.onepointone.body,objects.onepointone.shape)

objects.onepointtwo = {}

objects.onepointtwo.body = love.physics.newBody(world,160,215,'static')
objects.onepointtwo.shape = love.physics.newRectangleShape(3,106)
objects.onepointtwo.fixture = love.physics.newFixture(objects.onepointtwo.body,objects.onepointtwo.shape)


player = {}

player.ball= {}

player.ball.body = love.physics.newBody(world,650/2,1200/2,'dynamic') -- player Ball
player.ball.shape = love.physics.newCircleShape(20) --20 radius
player.ball.fixture = love.physics.newFixture(player.ball.body, player.ball.shape)

player.bomb = {}

player.bomb.body = love.physics.newBody(world,650/2,1200,'static')
player.bomb.shape = love.physics.newCircleShape(10)
player.bomb.fixture = love.physics.newFixture(player.bomb.body, player.bomb.shape)
end

function love.update(dt)
world:update(dt)

if love.keyboard.isDown ('left') then
player.ball.body:applyForce(-400,0)
elseif love.keyboard.isDown ('right') then
player.ball.body:applyForce(400,0)
elseif love.keyboard.isDown ('up') then
player.ball.body:applyForce (0,-400)
elseif love.keyboard.isDown ('down') then
player.ball.body:applyForce (0,400)
elseif love.keyboard.isDown (' ') then
bombstate = yes
end
end



function love.draw()

love.graphics.setColor (0,255,0)
love.graphics.polygon('fill',wall.ground.body:getWorldPoints(wall.ground.shape:getPoints()))
if bombstate == yes then
love.graphics.circle('fill', player.bomb.body:getX(), player.bomb.body:getY(), player.bomb.shape:getRadius())
end
love.graphics.setColor (0,0,0)
love.graphics.polygon('fill',wall.roof.body:getWorldPoints(wall.roof.shape:getPoints()))
love.graphics.polygon('fill', wall.left.body:getWorldPoints(wall.left.shape:getPoints()))
love.graphics.polygon('fill', wall.right.body:getWorldPoints(wall.right.shape:getPoints()))

love.graphics.polygon('fill', objects.onepointone.body:getWorldPoints(objects.onepointone.shape:getPoints()))
love.graphics.polygon ('fill', objects.onepointtwo.body:getWorldPoints(objects.onepointtwo.shape:getPoints()))

love.graphics.setColor(255,0,0)

love.graphics.circle('fill', player.ball.body:getX(), player.ball.body:getY(), player.ball.shape:getRadius())

end
